Bug 4304 - gdk-pixbuf2.0 32 bit (i586) cannot be installed concurrently on x86_64 machines
: gdk-pixbuf2.0 32 bit (i586) cannot be installed concurrently on x86_64 machines
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-08-09 10:15 MSD by Zombie Ryushu
Modified: 2015-04-21 15:50 MSD (History)
1 user (show)

See Also:
RPM Package: gdk-pixbuf2.0
ISO-related:
Bad POT generating:
Upstream:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Zombie Ryushu 2014-08-09 10:15:07 MSD
gdk-pixbuf2.0 32 bit (i586) cannot be installed concurrently on x86_64 machines concurrently because the packages lack the lib and lib64 designation. This causes 32 bit programs to error with the following. 


GdkPixbuf-WARNING **: Cannot open pixbuf loader module file '/usr/lib/gdk-pixbuf-2.0/2.10.0/loaders.cache': No such file or directory

This likely means that your installation is broken.
Try running the command
  gdk-pixbuf-query-loaders > /usr/lib/gdk-pixbuf-2.0/2.10.0/loaders.cache
to make things work again for the time being.
Comment 1 Zombie Ryushu 2014-08-24 14:39:38 MSD
The following files are needed from gdk-pixbuf2.0 32 bit (i586).

-rwxr-xr-x 1 root root 18752 Jun 20  2013 libpixbufloader-ani.so*
-rwxr-xr-x 1 root root 18656 Jun 20  2013 libpixbufloader-bmp.so*
-rwxr-xr-x 1 root root 27104 Jun 20  2013 libpixbufloader-gif.so*
-rwxr-xr-x 1 root root 10464 Jun 20  2013 libpixbufloader-icns.so*
-rwxr-xr-x 1 root root 18792 Jun 20  2013 libpixbufloader-ico.so*
-rwxr-xr-x 1 root root 10528 Jun 20  2013 libpixbufloader-jasper.so*
-rwxr-xr-x 1 root root 22992 Jun 20  2013 libpixbufloader-jpeg.so*
-rwxr-xr-x 1 root root 14528 Jun 20  2013 libpixbufloader-pcx.so*
-rwxr-xr-x 1 root root 23104 Jun 20  2013 libpixbufloader-png.so*
-rwxr-xr-x 1 root root 14680 Jun 20  2013 libpixbufloader-pnm.so*
-rwxr-xr-x 1 root root 14584 Jun 20  2013 libpixbufloader-qtif.so*
-rwxr-xr-x 1 root root 10352 Jun 20  2013 libpixbufloader-ras.so*
-rwxr-xr-x 1 root root 10480 Jun 20  2013 libpixbufloader-svg.so*
-rwxr-xr-x 1 root root 14568 Jun 20  2013 libpixbufloader-tga.so*
-rwxr-xr-x 1 root root 18808 Jun 20  2013 libpixbufloader-tiff.so*
-rwxr-xr-x 1 root root 10448 Jun 20  2013 libpixbufloader-wbmp.so*
-rwxr-xr-x 1 root root 14624 Jun 20  2013 libpixbufloader-xbm.so*
-rwxr-xr-x 1 root root 26976 Jun 20  2013 libpixbufloader-xpm.so*

as well as a loaders.cache pointing to them in /usr/lib/gdk-pixbuf-2.0/2.10.0/
Comment 2 Denis Silakov 2015-04-21 15:50:40 MSD
We believe that this issue is fixed after update from bug #5354.